<?php
/**
 * Created by PhpStorm.
 * User: eater
 * Date: 4/2/16
 * Time: 2:52 PM
 */

namespace Eater\Glim\Service;


class TwigVars extends Main
{
    private $vars = [];

    /**
     * @param array $vars
     */
    public function add($vars)
    {
        $this->vars = $this->vars + $vars;
    }

    /**
     * @param string $name
     * @param mixed $value
     */
    public function def($name, $value)
    {
        $this->vars[$name] = $value;
    }

    /**
     * @return array
     */
    public function getVars()
    {
        return $this->vars;
    }
}